/*
 File: testout_err_hdlrsym.cpp
 Date and Time: Sat Jan 31 11:59:00 2015 
*/
#include "testout_err_hdlr.h"
using namespace NS_testout_T_enum;// enumerate
using namespace NS_testout_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_testout_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_testout_err_hdlr;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
Ctestout_err_hdlr::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rtestout_err_hdlr_:{
       Rtestout_err_hdlr* sym;
     if(re->rule_ == 0){
       sym = new Rtestout_err_hdlr(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtestout_err_hdlr*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rtestout_err_hdlr_:{
       Rtestout_err_hdlr* sym;
     if(re->rule_ == 0){
       sym = new Rtestout_err_hdlr(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtestout_err_hdlr*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rerrors_:{
       Rerrors* sym;
     if(re->rule_ == 0){
       sym = new Rerrors(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerrors*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rerrors_:{
       Rerrors* sym;
     if(re->rule_ == 0){
       sym = new Rerrors(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerrors*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs3_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    default: return;
   }
}
